---
title: "Zabbix 笔记"
date: 2019-10-30T11:45:29+08:00
lastmod: 2019-10-30T11:45:29+08:00
tags: ["zabbix", "tomcat"]
categories: ["zabbix"]
---

## 通过 JavaGateway 监控 tomcat
- 编译 zabbix server，configure 增加 --enable-java
- 修改 zabbix_server.conf 文件，配置 JavaGateway 参数
    ```
    JavaGateway=127.0.0.1
    JavaGatewayPort=10052
    StartJavaPollers=5
    ```

- 配置 tomcat catalina 启动参数
    ```bash
    export CATALINA_OPTS="
        -Dcom.sun.management.jmxremote
        -Dcom.sun.management.jmxremote.authenticate=false
        -Dcom.sun.management.jmxremote.ssl=false
        -Dcom.sun.management.jmxremote.port=10053
        -Djava.rmi.server.hostname={tomcat_server_ip}
    "
    ```

- 重启 tomcat
- 启动 JavaGateway
    ```bash
    # 进入 zabbix_server 安装目录，执行
    ./sbin/zabbix_java/startup.sh
    ```

- 重启 zabbix-server
    ```
    # 进入 zabbix_server 安装目录，执行
    ./sbin/zabbix_server
    ```


